Subject: bug#18051: 24.3.92; ls-lisp: Sorting; make ls-lisp-string-lessp a normal function?

From: Michael Heerdegen <[email-masked]>
Date: Sun, 20 Jul 2014 09:30:32 +0200

Eli Zaretskii <[email-masked]> writes:

> Why is it important to you to know that the file is a symlink, if you
> always want to change its target?

That's what I want for file modes - but still I want to know/see what
I'm doing!

And it makes a difference in the organization of the file system.  You
can use symlinks as some kind of shortcut to move within the file system
more quickly.  It makes a difference if you remove a shortcut or if you
erase a whole directory with all its files from your hard drive.  It
also makes a difference when you think you make a local change, and
actually cause changes "somewhere else" in the file system.

The funniest thing you could do would be to delete the target because
you think you have two identical versions of a file/directory in your
filesystem, and then are shocked because the second version turns out to
be a dead link after that.